Last Comment Bug 741065 - controller.js: "function PCDH_onDrop does not always return a value"
: controller.js: "function PCDH_onDrop does not always return a value"
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks: 418671 741062
  Show dependency treegraph
 
Reported: 2012-03-31 03:33 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-04-03 07:31 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
wontfix
wontfix


Attachments
(Av1) controller.js: Fix "function PCDH_onDrop does not always return a value" [Checked in: Comment 4] (1.02 KB, patch)
2012-04-02 08:54 PDT, Serge Gautherie (:sgautherie)
mak77: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-03-31 03:33:30 PDT
{
1505       if (!flavor)
1506         return false;
}

Should it not return false? Or does it miss to return true at its end?
Comment 1 Serge Gautherie (:sgautherie) 2012-04-01 11:14:53 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10551807&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central debug test mochitests-3/5 on 2012-04-01 09:57:28 PDT for push dd21f16d11da
{
JavaScript strict warning: chrome://browser/content/places/controller.js, line 1509: function PCDH_onDrop does not always return a value
}
Comment 2 Marco Bonardo [::mak] 2012-04-02 08:02:49 PDT
considered we never use its return value, should just return;
Comment 3 Serge Gautherie (:sgautherie) 2012-04-02 08:54:24 PDT
Created attachment 611471 [details] [diff] [review]
(Av1) controller.js: Fix "function PCDH_onDrop does not always return a value"
[Checked in: Comment 4]
Comment 4 Serge Gautherie (:sgautherie) 2012-04-03 07:00:10 PDT
Comment on attachment 611471 [details] [diff] [review]
(Av1) controller.js: Fix "function PCDH_onDrop does not always return a value"
[Checked in: Comment 4]

https://hg.mozilla.org/mozilla-central/rev/f9c4e2016539
Comment 5 Serge Gautherie (:sgautherie) 2012-04-03 07:31:09 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10599229&tree=Firefox&full=1
Rev3 Fedora 12x64 mozilla-central debug test mochitests-5/5 on 2012-04-03 07:16:33 PDT for push 5128e92c536c

V.Fixed.

Note You need to log in before you can comment on or make changes to this bug.